<?php
// Author: Eric Braswell, ebraswell@cobalt, Kevin Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: networker.php,v 1.13 2000/12/02 00:43:39 jcheng Exp $

include("ServerScriptHelper.php");
include("User.php");
include("Meta.php");

$serverScriptHelper = new ServerScriptHelper();
$product = $serverScriptHelper->getProductCode();
$isMonterey = ereg("35[0-9][0-9]R", $product);

if ( $isMonterey && ! user_authok( $PHP_AUTH_USER, "admin")) {
	$serverScriptHelper->destructor();
	header("location: /.cobalt/error/forbidden.html");
	return;
}

$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("legato-networker", "/legato/networker/networkerHandler.php");

// get settings
$systemObj = $cceClient->getObject("System",array(),"Networker");

$page = $factory->getPage();

$block = $factory->getPagedBlock("networkerSettings");  // ID of settings

// make IP address
//$ipAddr =$factory->getNetAddressList("lgNetworkerIPField",$systemObj["lgNetworkerIP"]);

if (!$isMonterey) {
  // make host name
  $hostName = $factory->getDomainNameList("lgNetworkerHostField",$systemObj["lgNetworkerHost"]);	
  $hostName->setOptional("silent"); 
  // make option
  $option = $factory->getOption("enableServer", $systemObj["enable"]);

  // get port range fields
  $servRange = $factory->getIntRange(
			"servPorts", 
			"$systemObj[servicePortLow]:$systemObj[servicePortHigh]"
			);

  $connRange = $factory->getIntRange(
			"connPorts",
			"$systemObj[connPortLow]:$systemObj[connPortHigh]"
			);

  // make multi choice
  $multiChoice = $factory->getMultiChoice("enableServer");
  
  // add host name to option
  $option->addFormField($hostName, $factory->getLabel("lgNetworkerHostField"));
  
  // add option to multi choice
  $multiChoice->addOption($option);
  
  // add multi choice to block
  $block->addFormField($multiChoice,  $factory->getLabel("enableServer"));
  
  // add port configs to block
  $block->addFormField($servRange, $factory->getLabel("servPorts"));
  $block->addFormField($connRange, $factory->getLabel("connPorts"));
  
  $block->addButton($factory->getSaveButton($page->getSubmitAction()));

} else {
  // make host name
  $hostName = $factory->getDomainNameList("lgNetworkerHostField",$systemObj["lgNetworkerHost"]);	
  $hostName->setOptional("silent"); 
  
  // make enableButton
  $enableServer = $factory->getBoolean("enableServer", $systemObj["enable"]);
  
  // get port range fields
  $servRange = $factory->getIntRange(
			"servPorts", 
			"$systemObj[servicePortLow]:$systemObj[servicePortHigh]"
			);

  $connRange = $factory->getIntRange(
			"connPorts",
			"$systemObj[connPortLow]:$systemObj[connPortHigh]"
			);

  // add enable to block
  $block->addFormField($enableServer,  $factory->getLabel("enableServer"));
  
  // add host name to block
  $block->addFormField($hostName, $factory->getLabel("lgNetworkerHostField"));

  $block->addFormField($servRange, $factory->getLabel("servPorts"));
  $block->addFormField($connRange, $factory->getLabel("connPorts"));

  $block->addButton($factory->getSaveButton($page->getSubmitAction()));
}  

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>


